// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';
import 'package:wyatt_ui_kit/wyatt_ui_kit.dart';
import 'package:wyatt_ui_kit_example/demo_page.dart';
import 'package:wyatt_ui_kit_example/theme/constants.dart';

class Loaders extends DemoPage {
  const Loaders({super.key});

  @override
  String get title => 'Loaders';

  @override
  Widget build(BuildContext context) => ListView(
        cacheExtent: 1000,
        children: [
          const Gap(20),
          Align(
            child: Text(
              title,
              style: Theme.of(context).textTheme.titleLarge,
            ),
          ),
          const Gap(20),
          const Loader(
            radius: 57,
          ),
          const Gap(20),
          Row(
            mainAxisAlignment: MainAxisAlignment.center,
            children: const [
              Loader(
                stroke: 5,
              ),
              Gap(20),
              Loader(
                colors: MultiColor([Constants.green2, Constants.white]),
                stroke: 5,
              ),
              Gap(20),
              Loader(
                colors: MultiColor([Constants.red2, Constants.white]),
                stroke: 5,
              ),
            ],
          ),
          const Gap(20),
        ],
      );
}
